#!/bin/sh

set -e
set -x
export OSLO_PACKAGE_VERSION=$(dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)

CWD=$(pwd)

python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp
pkgos-dh_auto_test --no-py2 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*|.*unit\.test_utils\.UriParseTest\.test_ipv6_host.*|.*persistence\.test_dir_persistence\.DirPersistenceTest\.test_dir_backend_cache_overfill.*))'
